#include<iostream>
using namespace std;
int main(){
int n,k,d,o=1,skok;
cin>>n>>d>>k;
for (int i = 1;i < k;i++){
for (int i1 = 1;i1 < k;i1++){
for (int i2 = 1;i2 < k;i2++){
while (i <= k){
i = o + d;
i1 = i + d
i2 = i1 + d
}
if (skok > n){
    skok = o;
 }
}
}
cout<<i + i1 + i2<<endl;
/*if (k == k){
obsht = 2 * (1 + d) +(d - 1);
cout<<obsht;

}
*/
}
